@extends('layouts.app')

@section('page_title', 'View User')

@section('content')
<div class="container mt-4">
    <div class="card">
        <div class="card-header border-0 bg-transparent">
            <h5 class="mb-0 fw-bold text-dark">View User Details</h5>
        </div>
        <div class="card-body">
            <div class="view-details">
                <p><strong>Username:</strong> <span>{{ $user['username'] }}</span></p>
                <p><strong>First Name:</strong> <span>{{ $user['firstName'] }}</span></p>
                <p><strong>Last Name:</strong> <span>{{ $user['lastName'] }}</span></p>
                <p><strong>User Role:</strong> <span>{{ $user['role'] }}</span></p>
                <p><strong>Email:</strong> <span>{{ $user['email'] }}</span></p>
                <p><strong>Status:</strong> <span>{{ $user['status'] }}</span></p>
            </div>
            <div class="d-flex justify-content-end mt-4">
                <a href="{{ route('user-management.edit', $user['admin_uuid']) }}" class="btn btn-primary me-2">
                    <i class="fa-solid fa-pen-to-square me-1"></i> Edit
                </a>
                <a href="{{ route('user-management.index') }}" class="btn btn-outline-secondary">
                    <i class="fa-solid fa-arrow-left me-1"></i> Back
                </a>
            </div>
        </div>
    </div>
</div>

<style>
    .card,
    .btn {
        font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Helvetica, Arial, sans-serif;
        font-weight: 400;
        line-height: 1.5;
    }
    .card-header h5 {
        font-weight: 500;
    }
    .card {
        border-radius: 10px;
    }
    .card-header {
        background-color: transparent;
    }
    .btn-primary {
        background-color: #E74610;
        border-color: #E74610;
    }
    .btn-primary:hover {
        background-color: #E74610;
        border-color: #E74610;
    }
    .view-details p {
        margin-bottom: 0.75rem;
        font-size: 0.9rem;
    }
    .view-details strong {
        display: inline-block;
        width: 120px;
        font-weight: 500;
        color: #343a40;
    }
    .view-details span {
        color: #495057;
    }
    @media (max-width: 576px) {
        .view-details p {
            font-size: 0.85rem;
        }
        .view-details strong {
            width: 100px;
        }
        .btn {
            padding: 0.2rem 0.4rem;
            font-size: 0.75rem;
        }
    }
</style>
@endsection